import { Meta } from '@storybook/addon-docs/blocks'

<Meta title='@dxtmisha/en/styles/color/borderOpacity - Set border opacity'/>

# `borderOpacity`

The mixin sets the `--sys-border-opacity` variable, allowing for independent control of border transparency.

**Parameters:**
- `$opacity: Number | String` — transparency value [0..1] or CSS variable.
- `$important: Boolean` [false] — if `true`, adds `!important`.
- `$init: Boolean` [false] — if `true`, immediately applies the `border-color` property.

## Example

```scss
@use '@dxtmisha/styles';

.border-faded {
  @include styles.borderOpacity(0.5);
}

.border-faded-important {
  @include styles.borderOpacity(var(--my-opacity), true, true);
}
```
